<%@ Page Language="VB" Theme="" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Image" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<%@ Import Namespace="System.Drawing.Imaging.EncoderParameters" %>
<%@ Import Namespace="System.Drawing.Imaging.ImageCodecInfo" %>
<script runat="server">
    '==================================================
    'IMPORTANT
    'This page does not have code behind because that
    'seems to result in errors as there are no XML/HTML
    'elements on the page.
    '======================================================
    Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)

        'Set max height and width limits
        Dim numMaxHeight As Double = 1000
        Try
            numMaxHeight = Request.QueryString("numMaxHeight") 'max height in pixels
        Catch
        End Try
        Dim numMaxWidth As Double = 1000
        Try
            numMaxWidth = Request.QueryString("numMaxWidth") 'max width in pixels
        Catch
        End Try
        Dim numItem As Double = 0
        Try
            numItem = Request.QueryString("numItem") 'ID number of product/category/version
        Catch
        End Try
        
        Dim strItemType As String = Request.QueryString("strItemType") '[p]roduct / [c]ategory / [v]ersion / [s]pecials (promotions)
        Dim strFileName As String = Request.QueryString("strFileName") 'optional, exact name of file to display
        Dim strParent As String = Request.QueryString("strParent") 'parent product for versions
        Dim strFolderPath As String = ""
        Dim i As Integer
        Dim strImagePathToTry As String = ""
        Dim strImagePath As String = ""
        
        'array of acceptable image type, from config setting - png / jpg / jpeg / gif
        Dim aryFileTypes = Split(KartSettingsManager.GetKartConfig("backend.imagetypes", False), ",")
        
        'Determine which folder to look at
        Select Case strItemType
            Case "p"
                strFolderPath = "\Products\" & numItem & "\"
            Case "c"
                strFolderPath = "\Categories\" & numItem & "\"
            Case "v"
                strFolderPath = "\Products\" & strParent & "\" & numItem & "\"
            Case "s" 's for "specials" as 'p' is already taken!
                strFolderPath = "\Promotions\" & numItem & "\"
        End Select
        
        'if whole directory, scan for suitable image
        If strFileName = "" Then
            For i = 0 To UBound(aryFileTypes)
                strImagePathToTry = Server.MapPath("images") & strFolderPath & numItem & Trim(aryFileTypes(i))
                If System.IO.File.Exists(strImagePathToTry) Then
                    strImagePath = strImagePathToTry
                End If
            Next
        Else
            strImagePath = Server.MapPath("images") & strFolderPath & strFileName
        End If
        
        'If strImagePath is blank, must have no image so show holder
        If strImagePath = "" Then strImagePath = Server.MapPath("Images\Kartris\no_image_available.png")
        

        'Now e have image path, let's create the output
        Dim objImage As System.Drawing.Image
        Dim objThumbnail As System.Drawing.Image 'we say thumbnail, but it can actually be any image reduction
        
        Try
            'This could fail if no placeholder image
            
            objImage = System.Drawing.Image.FromFile(strImagePath)
        
            'Rotate the image 180 degrees twice so embedded thumbnail destroyed
            'otherwise will pick up and resize the thumbnail many digital
            'cameras put into large image formats
            objImage.RotateFlip(RotateFlipType.Rotate180FlipNone)
            objImage.RotateFlip(RotateFlipType.Rotate180FlipNone)
            
            Dim numImageOldHeight As Integer = objImage.Height
            Dim numImageOldWidth As Integer = objImage.Width
            'Dim strImageFormat = objImage.RawFormat
            Dim numImageNewHeight As Integer
            Dim numImageNewWidth As Integer
        
            Dim Params = New System.Drawing.Imaging.EncoderParameters(1)
            Params.Param(0) = New EncoderParameter(System.Drawing.Imaging.Encoder.Quality, 90L)
            Dim Info = System.Drawing.Imaging.ImageCodecInfo.GetImageEncoders()
        
            If numImageOldHeight / numMaxHeight < numImageOldWidth / numMaxWidth Then
                'Resize by width
                numImageNewWidth = numMaxWidth
                numImageNewHeight = numImageOldHeight / (numImageOldWidth / numMaxWidth)
            Else
                'Resize by height
                numImageNewHeight = numMaxHeight
                numImageNewWidth = numImageOldWidth / (numImageOldHeight / numMaxHeight)
            End If
        
            objThumbnail = objImage.GetThumbnailImage(numImageNewWidth, numImageNewHeight, Nothing, Nothing)
            'objThumbnail = objImage.GetThumbnailImage(91, 130, Nothing, Nothing)

            objThumbnail.Save(Response.OutputStream, Info(1), Params)
        Catch ex As Exception
            'Return nothing
        End Try

    End Sub
</script>