﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_Back_UserDetails, KartrisCompiled" %>
<asp:UpdatePanel runat="server" ID="updUser" UpdateMode="Conditional">
    <ContentTemplate>
        <_user:PopupMessage runat="server" ID="_UC_PopupMsg" />
        <asp:FormView ID="fvwUser" runat="server" DefaultMode="Edit">
            <EditItemTemplate>
                <ajaxToolkit:TabContainer ID="tabContainerUser" runat="server" EnableTheming="False"
                    CssClass=".tab" AutoPostBack="false">
                    <%-- Main tab --%>
                    <ajaxToolkit:TabPanel ID="tabMainInfo" runat="server">
                        <HeaderTemplate>
                            <asp:Literal ID="litTabMainInfo" runat="server" Text="<%$Resources: ContentText_ContactAndMiscDetails %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <div class="buttonbar">
                                <a class="linkbutton icon_orders" href="_OrdersList.aspx?CustomerID=<%# Eval("U_ID") %>&callmode=customer">
                                    <asp:Literal ID="litListOrders" runat="server" Text="<%$ Resources: _Customers, ContentText_ListOrders %>"></asp:Literal></a>
                            </div>
                            <div class="Kartris-DetailsView">
                                <div class="Kartris-DetailsView-Data">
                                    <ul>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserID" runat="server" Text="<%$ Resources: _Customers, FormLabel_CustomerID %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litUserID" runat="server" Text='<%#Eval("U_ID") %>'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="litContentTextCustomerName" runat="server" Text="<%$ Resources: _Kartris, ContentText_CustomerName %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtAccountHolderName" runat="server" Text='<%# Eval("U_AccountHolderName")%>'></asp:TextBox></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserEmail" runat="server" Text="<%$ Resources: _Kartris, ContentText_Email %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtUserEmail" runat="server" Text='<%# Eval("U_EmailAddress")%>'></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="valEmailAddress1" runat="server" ControlToValidate="txtUserEmail"
                                                    CssClass="error" ForeColor="" Display="Dynamic" Text="<%$ Resources: _Kartris, ContentText_RequiredField %>" />
                                                <asp:RegularExpressionValidator ID="valEmailAddress2" runat="server" ControlToValidate="txtUserEmail"
                                                    CssClass="error" ForeColor="" Display="Dynamic" ErrorMessage="<%$ Resources: _Kartris, ContentText_BadEmail %>"
                                                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserPassword" runat="server" Text="<%$ Resources: _Kartris, FormLabel_Password %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Label ID="lblPassword" runat="server" Text="{encrypted}" />
                                                <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" Visible="false" />
                                                <asp:LinkButton ID="btnChangePassword" OnClick="btnChangePassword_Click" Text="<%$ Resources: _Kartris, ContentText_ConfigChange2 %>"
                                                    runat="server" CausesValidation="false" />
                                                <asp:RequiredFieldValidator ID="valRequiredUserPassword" runat="server" ControlToValidate="txtPassword"
                                                    Enabled="false" CssClass="error" ForeColor="" Display="Dynamic" Text="<%$ Resources: _Kartris, ContentText_RequiredField %>" />
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserDiscount" runat="server" Text="<%$ Resources: _Kartris, FormLabel_Discount %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtUserDiscount" runat="server" Text='<%# Eval("U_CustomerDiscount")%>'
                                                    CssClass="shorttext"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="valRegExUserDiscount" runat="server" ControlToValidate="txtUserDiscount"
                                                    CssClass="error" ForeColor="" ErrorMessage="0-100!" Display="Dynamic" EnableClientScript="true"
                                                    ValidationExpression="<%$ AppSettings:percentageRegex %>" />
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserGroup" runat="server" Text="<%$ Resources: _Customers, FormLabel_CustomerGroup %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:DropDownList ID="ddlUserGroups" runat="server" DataSourceID="objUserGroups"
                                                    DataTextField="CG_Name" DataValueField="CG_ID" />
                                                <asp:ObjectDataSource ID="objUserGroups" runat="server" OldValuesParameterFormatString="original_{0}"
                                                    SelectMethod="_GetCustomerGroups" TypeName="UsersBLL">
                                                    <SelectParameters>
                                                        <asp:SessionParameter Name="numLanguageID" SessionField="_LANG" Type="Byte" DefaultValue="1" />
                                                    </SelectParameters>
                                                </asp:ObjectDataSource>
                                                <asp:HiddenField ID="hidUserGroup" runat="server" Value='<%# Eval("U_CustomerGroupID")%>'>
                                                </asp:HiddenField>
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserApproved" runat="server" Text="<%$ Resources: _Customers, FormLabel_Approved %>" /></span>
                                            <span class="Kartris-DetailsView-Value"><span class="checkbox">
                                                <asp:CheckBox ID="chkUserApproved" runat="server" Checked='<%# Bind("U_Approved") %>' />
                                            </span></span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserLanguage" runat="server" Text="<%$ Resources: _Kartris, FormLabel_Language %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:DropDownList ID="ddlLanguages" runat="server" DataSourceID="objLanguages" DataTextField="Lang_FrontName"
                                                    DataValueField="Lang_ID" />
                                                <asp:ObjectDataSource ID="objLanguages" runat="server" OldValuesParameterFormatString="original_{0}"
                                                    SelectMethod="GetData" TypeName="kartrisLanguageDataTableAdapters.LanguagesTblAdptr" />
                                                <asp:HiddenField ID="hidUserLanguage" runat="server" Value='<%# Eval("U_LanguageID") %>' />
                                            </span></li>
                                    </ul>
                                </div>
                            </div>
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <%-- Affiliate tab --%>
                    <ajaxToolkit:TabPanel ID="tabAffiliateInfo" runat="server">
                        <HeaderTemplate>
                            <asp:Literal ID="litTabAffiliateInfo" runat="server" Text="<%$ Resources: _Customers, ContentText_AffiliateDetails %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <div class="buttonbar">
                                <a class="linkbutton icon_orders" href="_AffiliatePayRep.aspx?CustomerID=<%# Eval("U_ID") %>">
                                    <asp:Literal ID="litPageTitleAffiliateReportFor" runat="server" Text='<%$ Resources: _Kartris, PageTitle_AffiliateReportFor %>' /></a>
                            </div>
                            <div class="Kartris-DetailsView">
                                <div class="Kartris-DetailsView-Data">
                                    <ul>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblOrderStatus" runat="server" Text="<%$ Resources: _Customers, FormLabel_IsAffiliate %>" /></span>
                                            <span class="Kartris-DetailsView-Value"><span class="checkbox">
                                                <asp:CheckBox runat="server" ID="chkUserisAffialite" Checked='<%# Bind("U_IsAffiliate")%>' /></span></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblOrderLanguage" runat="server" Text="<%$ Resources: _Customers, FormLabel_Commission %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtAffiliateCommission" runat="server" Text='<%# Eval("U_AffiliateCommission") %>'
                                                    CssClass="shorttext"></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="valRegExAffiliateCommission" runat="server" ControlToValidate="txtAffiliateCommission"
                                                    ErrorMessage="0-100!" Display="Dynamic" CssClass="error" ForeColor="" EnableClientScript="true"
                                                    ValidationExpression="<%$ AppSettings:percentageRegex %>" />
                                            </span></li>
                                    </ul>
                                </div>
                            </div>
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <%-- Mailinglist tab --%>
                    <ajaxToolkit:TabPanel ID="tabMailingListInfo" runat="server">
                        <HeaderTemplate>
                            <asp:Literal ID="litTabMailingListInfo" runat="server" Text="<%$ Resources: _Customers, PageTitle_MailingList %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <div class="Kartris-DetailsView">
                                <div class="Kartris-DetailsView-Data">
                                    <ul>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblMLSignupDate" runat="server" Text="<%$ Resources: ContentText_MLSignupDateTime %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litSignupDate" runat="server" Text='<%# Kartris.CkartrisDisplayFunctions.FormatDate(Eval("U_ML_SignupDateTime"), "t", Session("_LANG")) %>'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblMLConfirmDateTime" runat="server" Text="<%$ Resources: ContentText_MLConfirmationDateTime %>">
                                            </asp:Label></span> <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litMLConfirmDateTime" runat="server" Text='<%# Kartris.CkartrisDisplayFunctions.FormatDate(Eval("U_ML_ConfirmationDateTime"), "t", Session("_LANG")) %>'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblMLSignupIP" runat="server" Text="<%$ Resources: ContentText_MLSignupIP %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litMLSignupIP" runat="server" Text='<%# Eval("U_ML_SignupIP") %>'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblMLConfirmIP" runat="server" Text="<%$ Resources: ContentText_MLConfirmationIP %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litMLConfirmIP" runat="server" Text='<%# Eval("U_ML_ConfirmationIP") %>'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblMLFormat" runat="server" Text="<%$Resources: ContentText_MLFormat %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litMLFormat" runat="server" Text='<%#Eval("U_ML_Format") %>'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblMLSendMail" runat="server" Text="<%$Resources: ContentText_MLSendMail %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litMLSendMail" runat="server" Text='<%#Eval("U_ML_SendMail") %>'></asp:Literal></span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                </ajaxToolkit:TabContainer>
                <div class="submitbuttons">
                    <asp:LinkButton CssClass="linkbutton icon_delete floatright" runat="server" ID="btnCustomerDelete"
                        OnClick="btnCustomerDelete_Click" Text="<%$ Resources: ContentText_DeleteThisCustomer %>" />
                    <asp:Button CausesValidation="True" CssClass="button" runat="server" OnClick="btnCustomerUpdate_Click"
                        ID="btnCustomerUpdate" Text="<%$ Resources: _Kartris, FormButton_Update %>" />
                    <asp:ValidationSummary CausesValidation="True" ID="valSummary" runat="server" ForeColor=""
                        CssClass="valsummary" DisplayMode="BulletList" HeaderText="<%$ Resources: _Kartris, ContentText_Errors %>" />
                </div>
            </EditItemTemplate>
            <InsertItemTemplate>
                <ajaxToolkit:TabContainer ID="tabContainerProduct2" runat="server" EnableTheming="False"
                    CssClass=".tab" AutoPostBack="false">
                    <%-- Main tab --%>
                    <ajaxToolkit:TabPanel ID="tabMainInfo2" runat="server">
                        <HeaderTemplate>
                            <asp:Literal ID="litTabMainInfo2" runat="server" Text="<%$ Resources: ContentText_ContactAndMiscDetails %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <div class="Kartris-DetailsView">
                                <div class="Kartris-DetailsView-Data">
                                    <ul>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserID2" runat="server" Text="<%$ Resources: _Customers, FormLabel_CustomerID %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:Literal ID="litUserID2" runat="server" Text='New'></asp:Literal></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="litContentTextCustomerName2" runat="server" Text="<%$ Resources: _Kartris, ContentText_CustomerName %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtAccountHolderName2" runat="server" Text=''></asp:TextBox></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserEmail2" runat="server" Text="<%$ Resources: _Kartris, ContentText_Email %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtUserEmail2" runat="server" Text=''></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="valEmailAddress3" runat="server" ControlToValidate="txtUserEmail2"
                                                    CssClass="error" ForeColor="" Display="Dynamic" Text="<%$ Resources: _Kartris, ContentText_RequiredField %>" />
                                                <asp:RegularExpressionValidator ID="valEmailAddress4" runat="server" ControlToValidate="txtUserEmail2"
                                                    Display="Dynamic" ErrorMessage="<%$ Resources: _Kartris, ContentText_BadEmail %>"
                                                    CssClass="error" ForeColor="" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserPassword2" runat="server" Text="<%$ Resources: _Kartris, FormLabel_Password %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtUserPassword2" runat="server" Text=''></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="valRequiredUserPassword2" runat="server" ControlToValidate="txtUserPassword2"
                                                    CssClass="error" ForeColor="" Display="Dynamic" Text="<%$ Resources: Kartris, ContentText_RequiredField %>" />
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserDiscount2" runat="server" Text="<%$ Resources: _Kartris, FormLabel_Discount %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtUserDiscount2" runat="server" Text='0'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="valRegExUserDiscount2" runat="server" ControlToValidate="txtUserDiscount2"
                                                    CssClass="error" ForeColor="" ErrorMessage="0-100!" Display="Dynamic" EnableClientScript="true"
                                                    ValidationExpression="<%$ AppSettings:percentageRegex %>" />
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserGroup2" runat="server" Text="<%$ Resources: _Customers, FormLabel_CustomerGroup %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:DropDownList ID="ddlUserGroups2" runat="server" DataSourceID="objUserGroups2"
                                                    DataTextField="CG_Name" DataValueField="CG_ID" />
                                                <asp:ObjectDataSource ID="objUserGroups2" runat="server" OldValuesParameterFormatString="original_{0}"
                                                    SelectMethod="_GetCustomerGroups" TypeName="UsersBLL">
                                                    <SelectParameters>
                                                        <asp:SessionParameter Name="numLanguageID" SessionField="_Lang" Type="Byte" DefaultValue="1" />
                                                    </SelectParameters>
                                                </asp:ObjectDataSource>
                                                <asp:HiddenField ID="hidUserGroup2" runat="server" Value=''></asp:HiddenField>
                                            </span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserApproved2" runat="server" Text="<%$ Resources: _Customers, FormLabel_Approved %>" /></span>
                                            <span class="Kartris-DetailsView-Value"><span class="checkbox">
                                                <asp:CheckBox ID="chkUserApproved2" runat="server" Checked='false' />
                                            </span></span></li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblUserLanguage2" runat="server" Text="<%$ Resources: _Kartris, FormLabel_Language %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:DropDownList ID="ddlLanguages2" runat="server" DataSourceID="objLanguages2"
                                                    DataTextField="Lang_FrontName" DataValueField="Lang_ID" />
                                                <asp:ObjectDataSource ID="objLanguages2" runat="server" OldValuesParameterFormatString="original_{0}"
                                                    SelectMethod="GetData" TypeName="kartrisLanguageDataTableAdapters.LanguagesTblAdptr" />
                                                <asp:HiddenField ID="hidUserLanguage2" runat="server" Value='' />
                                            </span></li>
                                    </ul>
                                </div>
                            </div>
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <%-- Affiliate tab --%>
                    <ajaxToolkit:TabPanel ID="tabAffiliateInfo2" runat="server">
                        <HeaderTemplate>
                            <asp:Literal ID="litTabAffiliateInfo2" runat="server" Text="<%$ Resources: _Customers, ContentText_AffiliateDetails %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <div class="Kartris-DetailsView">
                                <div class="Kartris-DetailsView-Data">
                                    <ul>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblOrderStatus2" runat="server" Text="<%$ Resources: _Customers, FormLabel_IsAffiliate %>" /></span>
                                            <span class="Kartris-DetailsView-Value"><span class="checkbox">
                                                <asp:CheckBox runat="server" ID="chkUserisAffialite2" Checked='false' /></span></span>
                                        </li>
                                        <li><span class="Kartris-DetailsView-Name">
                                            <asp:Label ID="lblOrderLanguage2" runat="server" Text="<%$ Resources: _Customers, FormLabel_Commission %>" /></span>
                                            <span class="Kartris-DetailsView-Value">
                                                <asp:TextBox ID="txtAffiliateCommission2" runat="server" Text='0'></asp:TextBox>
                                                <asp:RegularExpressionValidator ID="valRegExAffiliateCommission2" runat="server"
                                                    ControlToValidate="txtAffiliateCommission2" ErrorMessage="0-100!" Display="Dynamic"
                                                    CssClass="error" ForeColor="" EnableClientScript="true" ValidationExpression="<%$ AppSettings:percentageRegex %>" />
                                            </span></li>
                                    </ul>
                                </div>
                            </div>
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                </ajaxToolkit:TabContainer>
                <div class="submitbuttons">
                    <asp:Button CausesValidation="True" CssClass="button" runat="server" OnClick="btnCustomerAdd_Click"
                        ID="btnCustomerAdd" Text="<%$ Resources: _Kartris, FormButton_Add %>" />
                    <asp:ValidationSummary CausesValidation="True" ID="valSummary" runat="server" ForeColor=""
                        CssClass="valsummary" DisplayMode="BulletList" HeaderText="<%$ Resources: _Kartris, ContentText_Errors %>" />
                </div>
            </InsertItemTemplate>
        </asp:FormView>
    </ContentTemplate>
</asp:UpdatePanel>
